- 0.4.8
[packages/PackageKit.git] / PackageKit.spec
1 # TODO:
2 # - BASH command-not-found functionality disabled for now as it needs patched bash
3 #   (details in bash from Fedora Rawhide)
4 # - package browser plugin
5 #
6 # Conditional build:
7 %bcond_without  qt      # don't build packagekit-qt library
8 #
9 Summary:        System daemon that is a D-Bus abstraction layer for package management
10 Summary(pl.UTF-8):      Demon systemowy będący warstwą abstrakcji D-Bus do zarządzania pakietami
11 Name:           PackageKit
12 Version:        0.4.8
13 Release:        1
14 License:        GPL v2+
15 Group:          Applications/System
16 Source0:        http://www.packagekit.org/releases/%{name}-%{version}.tar.gz
17 # Source0-md5:  955082ee50358b1cc3eddcb438b7fae4
18 Patch0:         %{name}-ac.patch
19 Patch1:         %{name}-PLD.patch
20 URL:            http://www.packagekit.org/
21 BuildRequires:  NetworkManager-devel >= 0.6.5
22 BuildRequires:  PolicyKit-devel >= 0.8
23 %if %{with qt}
24 BuildRequires:  QtCore-devel >= 4.4.0
25 BuildRequires:  QtDBus-devel >= 4.4.0
26 BuildRequires:  QtGui-devel >= 4.4.0
27 BuildRequires:  QtSql-devel >= 4.4.0
28 BuildRequires:  QtXml-devel >= 4.4.0
29 %endif
30 BuildRequires:  autoconf >= 2.52
31 BuildRequires:  automake
32 %{?with_qt:BuildRequires:       cppunit-devel}
33 BuildRequires:  dbus-devel >= 1.2.0
34 BuildRequires:  dbus-glib-devel >= 0.76
35 BuildRequires:  docbook-to-man
36 BuildRequires:  gettext-devel
37 BuildRequires:  glib2-devel >= 1:2.16.1
38 BuildRequires:  gstreamer-plugins-base-devel
39 BuildRequires:  gtk+2-devel >= 2:2.14.0
40 BuildRequires:  gtk-doc >= 1.9
41 BuildRequires:  intltool >= 0.35.0
42 BuildRequires:  libarchive-devel
43 BuildRequires:  libtool
44 BuildRequires:  pkgconfig
45 BuildRequires:  poldek-devel >= 0.30-0.20080820.23.20
46 BuildRequires:  python-devel
47 %{?with_qt:BuildRequires:       qt4-build >= 4.4.0}
48 BuildRequires:  rpm-pythonprov
49 BuildRequires:  rpmbuild(macros) >= 1.311
50 BuildRequires:  sqlite3-devel
51 BuildRequires:  xulrunner-devel
52 Requires(post,postun):  shared-mime-info
53 Requires:       %{name}-libs = %{version}-%{release}
54 Requires:       PolicyKit >= 0.8
55 Requires:       crondaemon
56 Requires:       poldek >= 0.30-0.20080820.23.20
57 BuildRoot:      %{tmpdir}/%{name}-%{version}-root-%(id -u -n)
58
59 %description
60 PackageKit is a D-Bus abstraction layer that allows the session user
61 to manage packages in a secure way using a cross-distro,
62 cross-architecture API.
63
64 %description -l pl.UTF-8
65 PackageKit to warstwa abstrakcji D-Bus pozwalająca użytkownikowi
66 sesyjnemu w bezpieczny sposob zarządzać pakietami przy użyciu API
67 zgodnego z wieloma dystrybucjami i architekturami.
68
69 %package libs
70 Summary:        packagekit-glib library
71 Summary(pl.UTF-8):      Biblioteka packagekit-glib
72 Group:          Libraries
73
74 %description libs
75 packagekit-glib library.
76
77 %description libs -l pl.UTF-8
78 Biblioteka packagekit-glib.
79
80 %package devel
81 Summary:        Header files for packagekit-glib library
82 Summary(pl.UTF-8):      Pliki nagłówkowe biblioteki packagekit-glib
83 Group:          Development/Libraries
84 Requires:       %{name}-libs = %{version}-%{release}
85 Requires:       glib2-devel >= 1:2.16.1
86
87 %description devel
88 Header files for packagekit-glib library.
89
90 %description devel -l pl.UTF-8
91 Pliki nagłówkowe biblioteki packagekit-glib.
92
93 %package static
94 Summary:        Static packagekit-glib library
95 Summary(pl.UTF-8):      Statyczna biblioteka packagekit-glib
96 Group:          Development/Libraries
97 Requires:       %{name}-devel = %{version}-%{release}
98
99 %description static
100 Static packagekit-glib library.
101
102 %description static -l pl.UTF-8
103 Statyczna biblioteka packagekit-glib.
104
105 %package qt
106 Summary:        packagekit-qt library
107 Summary(pl.UTF-8):      Biblioteka packagekit-qt
108 Group:          Libraries
109 Obsoletes:      qpackagekit
110
111 %description qt
112 packagekit-qt library.
113
114 %description qt -l pl.UTF-8
115 Biblioteka packagekit-qt.
116
117 %package qt-devel
118 Summary:        Header files for packagekit-qt library
119 Summary(pl.UTF-8):      Pliki nagłówkowe biblioteki packagekit-qt
120 Group:          Development/Libraries
121 Requires:       %{name}-qt = %{version}-%{release}
122 Requires:       QtCore-devel >= 4.4.0
123 Requires:       QtDBus-devel >= 4.4.0
124 Requires:       QtGui-devel >= 4.4.0
125 Requires:       QtSql-devel >= 4.4.0
126 Requires:       QtXml-devel >= 4.4.0
127 Obsoletes:      qpackagekit-devel
128
129 %description qt-devel
130 Header files for packagekit-qt library.
131
132 %description qt-devel -l pl.UTF-8
133 Pliki nagłówkowe biblioteki packagekit-qt.
134
135 %package qt-static
136 Summary:        Static packagekit-qt library
137 Summary(pl.UTF-8):      Statyczna biblioteka packagekit-qt
138 Group:          Development/Libraries
139 Requires:       %{name}-qt-devel = %{version}-%{release}
140
141 %description qt-static
142 Static packagekit-qt library.
143
144 %description qt-static -l pl.UTF-8
145 Statyczna biblioteka packagekit-qt.
146
147 %package apidocs
148 Summary:        PackageKit library API documentation
149 Summary(pl.UTF-8):      Dokumentacja API biblioteki PackageKit
150 Group:          Documentation
151 Requires:       gtk-doc-common
152
153 %description apidocs
154 PackageKit library API documentation.
155
156 %description apidocs -l pl.UTF-8
157 Dokumentacja API biblioteki PackageKit.
158
159 %package docs
160 Summary:        PackageKit documentation
161 Summary(pl.UTF-8):      Dokumentacja PackageKit
162 Group:          Documentation
163
164 %description docs
165 PackageKit documentation.
166
167 %description docs -l pl.UTF-8
168 Dokumentacja PackageKit.
169
170 %package gstreamer-plugin
171 Summary:        GStreamer codecs installer
172 Summary(pl.UTF-8):      Instalator kodeków GStreamera
173 Group:          Applications
174 Requires:       %{name} = %{version}-%{release}
175 Requires:       %{name}-gtk-module = %{version}-%{release}
176
177 %description gstreamer-plugin
178 The PackageKit GStreamer plugin allows any GStreamer application to
179 install codecs from configured repositories using PackageKit.
180
181 %description gstreamer-plugin -l pl.UTF-8
182 Wtyczka GStreamer pozwala każdej aplikacji używającej GStreamera
183 zainstalować kodeki ze skonfigurowanych źródeł PackageKit.
184
185 %package gtk-module
186 Summary:        GTK+ module to detect and install missing fonts
187 Summary(pl.UTF-8):      Moduł GTK+ do wykrywania i instalowania brakujących czcionek
188 Group:          X11/Libraries
189
190 %description gtk-module
191 The PackageKit GTK+ module allows any pango application to install
192 missing fonts from configured repositories using PackageKit.
193
194 %description gtk-module -l pl.UTF-8
195 Moduł GTK+ pozwala każdej aplikacji używającej pango zainstalować
196 brakującą czcionkę ze skonfigurowanych źródeł PackageKit.
197
198 %package -n bash-completion-packagekit
199 Summary:        bash-completion for PackageKit
200 Summary(pl.UTF-8):      bashowe uzupełnianie nazw dla PackageKit
201 Group:          Applications/Shells
202 Requires:       bash-completion
203
204 %description -n bash-completion-packagekit
205 This package provides bash-completion for PackageKit.
206
207 %description -n bash-completion-packagekit -l pl.UTF-8
208 Pakiet ten dostarcza bashowe uzupełnianie nazw dla PackageKit.
209
210 %package -n pm-utils-packagekit
211 Summary:        PackageKit script for pm-utils
212 Summary(pl.UTF-8):      Skrypt PackageKit dla pm-utils
213 Group:          Applications/System
214 Requires:       pm-utils
215
216 %description -n pm-utils-packagekit
217 PackageKit script for pm-utils.
218
219 %description -n pm-utils-packagekit -l pl.UTF-8
220 Skrypt PackageKit dla pm-utils.
221
222 %package -n python-packagekit
223 Summary:        PackageKit Python bindings
224 Summary(pl.UTF-8):      Wiązania PackageKit dla Pythona
225 Group:          Development/Languages/Python
226 Requires:       python-dbus
227 Requires:       python-pygobject
228
229 %description -n python-packagekit
230 PackageKit Python bindings.
231
232 %description -n python-packagekit
233 Wiązania PackageKit dla Pythona.
234
235 %prep
236 %setup -q
237 %patch0 -p0
238 %patch1 -p1
239 mkdir m4
240
241 %build
242 %{__gtkdocize}
243 %{__intltoolize}
244 %{__libtoolize}
245 %{__aclocal} -I m4
246 %{__autoconf}
247 %{__autoheader}
248 %{__automake}
249 %configure \
250         --disable-dummy \
251         --disable-ruck \
252         --disable-command-not-found \
253         --enable-poldek \
254         --%{?with_qt:en}%{!?with_qt:dis}able-qt \
255         --with-html-dir=%{_gtkdocdir} \
256         --with-default-backend=poldek
257 %{__make}
258
259 %install
260 rm -rf $RPM_BUILD_ROOT
261
262 %{__make} install \
263         DESTDIR=$RPM_BUILD_ROOT
264
265 # use pk-gstreamer-install as codec installer
266 ln -s pk-gstreamer-install $RPM_BUILD_ROOT%{_libdir}/gst-install-plugins-helper
267
268 rm -f $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/modules/*.{la,a}
269 rm -f $RPM_BUILD_ROOT%{_libdir}/mozilla/plugins/*.{la,a}
270 rm -f $RPM_BUILD_ROOT%{_libdir}/packagekit-backend/*.{la,a}
271 rm -f $RPM_BUILD_ROOT%{_libdir}/packagekit-backend/libpk_backend_test_*.so
272 rm -f $RPM_BUILD_ROOT%{_libdir}/PackageKitDbusTest.py
273 rm -f $RPM_BUILD_ROOT%{_sysconfdir}/dbus-1/system.d/org.freedesktop.PackageKit{Apt,Test}Backend.conf
274 rm -f $RPM_BUILD_ROOT%{_datadir}/dbus-1/system-services/org.freedesktop.PackageKit{Apt,Test}Backend.service
275 rm -rf $RPM_BUILD_ROOT%{_datadir}/PackageKit/helpers/test_spawn
276
277 %py_postclean
278
279 %find_lang %{name}
280
281 %clean
282 rm -rf $RPM_BUILD_ROOT
283
284 %post
285 %update_mime_database
286
287 %postun
288 %update_mime_database
289
290 %post   libs -p /sbin/ldconfig
291 %postun libs -p /sbin/ldconfig
292
293 %post   qt -p /sbin/ldconfig
294 %postun qt -p /sbin/ldconfig
295
296 %files -f %{name}.lang
297 %defattr(644,root,root,755)
298 %doc AUTHORS ChangeLog HACKING NEWS README TODO
299 %attr(755,root,root) %{_bindir}/packagekit-bugreport.sh
300 %attr(755,root,root) %{_bindir}/pkcon
301 %attr(755,root,root) %{_bindir}/pkgenpack
302 %attr(755,root,root) %{_bindir}/pkmon
303 %attr(750,root,root) /etc/cron.daily/packagekit-background.cron
304 %dir %{_libdir}/packagekit-backend
305 %attr(755,root,root) %{_libdir}/packagekit-backend/libpk_backend_poldek.so
306 %attr(755,root,root) %{_sbindir}/packagekitd
307 %dir %{_sysconfdir}/PackageKit
308 %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/PackageKit/PackageKit.conf
309 %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/PackageKit/Vendor.conf
310 %attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/packagekit-background
311 /etc/dbus-1/system.d/org.freedesktop.PackageKit.conf
312 %dir %{_datadir}/PackageKit
313 %attr(755,root,root) %{_datadir}/PackageKit/pk-upgrade-distro.sh
314 %{_datadir}/PolicyKit/policy/org.freedesktop.packagekit.policy
315 %{_datadir}/dbus-1/system-services/org.freedesktop.PackageKit.service
316 %{_datadir}/mime/packages/packagekit-catalog.xml
317 %{_datadir}/mime/packages/packagekit-package-list.xml
318 %{_datadir}/mime/packages/packagekit-servicepack.xml
319 %{_mandir}/man1/pkcon.1*
320 %{_mandir}/man1/pkgenpack.1*
321 %{_mandir}/man1/pkmon.1*
322 %dir /var/cache/PackageKit
323 %dir /var/cache/PackageKit/downloads
324 %dir /var/lib/PackageKit
325 %ghost /var/lib/PackageKit/transactions.db
326
327 %files libs
328 %defattr(644,root,root,755)
329 %attr(755,root,root) %{_libdir}/libpackagekit-glib.so.*.*.*
330 %attr(755,root,root) %ghost %{_libdir}/libpackagekit-glib.so.11
331
332 %files devel
333 %defattr(644,root,root,755)
334 %attr(755,root,root) %{_libdir}/libpackagekit-glib.so
335 %{_libdir}/libpackagekit-glib.la
336 %{_pkgconfigdir}/packagekit-glib.pc
337 %dir %{_includedir}/PackageKit
338 %{_includedir}/PackageKit/backend
339 %{_includedir}/PackageKit/packagekit-glib
340
341 %files static
342 %defattr(644,root,root,755)
343 %{_libdir}/libpackagekit-glib.a
344
345 %files qt
346 %defattr(644,root,root,755)
347 %attr(755,root,root) %{_libdir}/libpackagekit-qt.so.*.*.*
348 %attr(755,root,root) %ghost %{_libdir}/libpackagekit-qt.so.11
349
350 %files qt-devel
351 %defattr(644,root,root,755)
352 %attr(755,root,root) %{_libdir}/libpackagekit-qt.so
353 %{_libdir}/libpackagekit-qt.la
354 %{_pkgconfigdir}/packagekit-qt.pc
355 %{_includedir}/PackageKit/packagekit-qt
356 %{_datadir}/cmake/Modules/FindQPackageKit.cmake
357
358 %files qt-static
359 %defattr(644,root,root,755)
360 %{_libdir}/libpackagekit-qt.a
361
362 %files apidocs
363 %defattr(644,root,root,755)
364 %{_gtkdocdir}/PackageKit
365
366 %files docs
367 %defattr(644,root,root,755)
368 %{_datadir}/PackageKit/website
369
370 %files gstreamer-plugin
371 %defattr(644,root,root,755)
372 %doc contrib/gstreamer-plugin/README
373 %attr(755,root,root) %{_libdir}/gst-install-plugins-helper
374 %attr(755,root,root) %{_libdir}/pk-gstreamer-install
375
376 %files gtk-module
377 %defattr(644,root,root,755)
378 %doc contrib/gtk-module/{GLASS.txt,README}
379 %attr(755,root,root) %{_libdir}/gtk-2.0/modules/libpk-gtk-module.so
380
381 %files -n bash-completion-packagekit
382 %defattr(644,root,root,755)
383 %{_sysconfdir}/bash_completion.d/pk-completion.bash
384
385 %files -n pm-utils-packagekit
386 %defattr(644,root,root,755)
387 %attr(755,root,root) %{_libdir}/pm-utils/sleep.d/95packagekit
388
389 %files -n python-packagekit
390 %defattr(644,root,root,755)
391 %dir %{py_sitescriptdir}/packagekit
392 %{py_sitescriptdir}/packagekit/*.py[co]
This page took 0.083694 seconds and 3 git commands to generate.